Package org.globus.common

# Class Version

java.lang.Object
org.globus.common.Version

public class Version extends Object
This class contains version information of the JGlobus module. The version number is composed as MAJOR.MINOR.PATCH.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAJOR`
The major release number
`static final int`
`MINOR`
The minor release number
`static final int`
`PATCH`
The patchlevel of the current release

## Constructor Summary

Constructors
Constructor
Description
`Version()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getMajor()`
Returns the major release number.
`static int`
`getMinor()`
Returns the minor release number.
`static int`
`getPatch()`
Returns the patch level.
`static String`
`getVersion()`
Returns the current version as string in the form MAJOR.MINOR.PATCH.
`static void`
`main(String[] args)`
Returns the version for the Java CoG Kit as a readble string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAJOR

public static final int MAJOR
The major release number

### MINOR

public static final int MINOR
The minor release number

### PATCH

public static final int PATCH
The patchlevel of the current release

## Constructor Details

### Version

public Version()

## Method Details

### getVersion

public static String getVersion()
Returns the current version as string in the form MAJOR.MINOR.PATCH.

### getMajor

public static int getMajor()
Returns the major release number.

Returns:
  the major release

### getMinor

public static int getMinor()
Returns the minor release number.

Returns:
  the minor release number

### getPatch

public static int getPatch()
Returns the patch level.

Returns:
  the patch level

### main

public static void main(String[] args)
Returns the version for the Java CoG Kit as a readble string.

Parameters:
  `args` -